| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Tp::ProfileManager Class Reference

The ProfileManager class provides helper methods to retrieve Profile objects. More...

`#include <TelepathyQt/ProfileManager>`

Inheritance diagram for Tp::ProfileManager:
[legend]

## Public Member Functions

| ~ProfileManager ()
QList< ProfilePtr > | profiles () const
QList< ProfilePtr > | profilesForCM (const QString &cmName) const
QList< ProfilePtr > | profilesForProtocol (const QString &protocolName) const
ProfilePtr | profileForService (const QString &serviceName) const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()
Public Member Functions inherited from Tp::ReadyObject
| ReadyObject (RefCounted *object, const Feature &featureCore)
| ReadyObject (DBusProxy *proxy, const Feature &featureCore)
virtual | ~ReadyObject ()
virtual bool | isReady (const Features &features=Features()) const
virtual PendingReady * | becomeReady (const Features &requestedFeatures=Features())
virtual Features | requestedFeatures () const
virtual Features | actualFeatures () const
virtual Features | missingFeatures () const

## Static Public Member Functions

static ProfileManagerPtr | create (const QDBusConnection &bus=QDBusConnection::sessionBus())
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Static Public Attributes

static const Feature | FeatureCore
static const Feature | FeatureFakeProfiles

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Protected Member Functions inherited from Tp::ReadyObject
ReadinessHelper * | readinessHelper () const
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The ProfileManager class provides helper methods to retrieve Profile objects.

## Constructor & Destructor Documentation

## § ~ProfileManager()

Tp::ProfileManager::~ProfileManager | ( |  | ) |

Class destructor.

## Member Function Documentation

## § create()

ProfileManagerPtr Tp::ProfileManager::create | ( | const QDBusConnection & | bus = `QDBusConnection::sessionBus()` | ) |

static

Create a new ProfileManager object.

## § profiles()

QList< ProfilePtr > Tp::ProfileManager::profiles | ( |  | ) | const

Return a list of all available profiles.

Returns
  A list of all available profiles.

## § profilesForCM()

QList< ProfilePtr > Tp::ProfileManager::profilesForCM | ( | const QString & | cmName | ) | const

Return a list of all available profiles for a given connection manager.

Parameters

  cmName | Connection manager name.

Returns
  A list of all available profiles for a given connection manager.

## § profilesForProtocol()

QList< ProfilePtr > Tp::ProfileManager::profilesForProtocol | ( | const QString & | protocolName | ) | const

Return a list of all available profiles for a given protocol.

Parameters

  protocolName | Protocol name.

Returns
  A list of all available profiles for a given protocol.

## § profileForService()

ProfilePtr Tp::ProfileManager::profileForService | ( | const QString & | serviceName | ) | const

Return the profile for a given service.

Parameters

  serviceName | Service name.

Returns
  The profile for service.

## Member Data Documentation

## § FeatureCore

const Feature Tp::ProfileManager::FeatureCore

static

Feature representing the core that needs to become ready to make the ProfileManager object usable.

Note that this feature must be enabled in order to use all ProfileManager methods.

When calling isReady(), becomeReady(), this feature is implicitly added to the requested features.

## § FeatureFakeProfiles

const Feature Tp::ProfileManager::FeatureFakeProfiles

static

Enabling this feature will make ProfileManager create fake Profile objects to all protocols supported on the installed connection managers, even if they don't have .profile files installed making use of them.

Fake profiles are identified by Profile::isFake() returning `true`.

The fake profile will contain the following info:

- Profile::type() will return "IM"
- Profile::provider() will return an empty string
- Profile::serviceName() will return cmName-protocolName
- Profile::name() and Profile::protocolName() will return protocolName
- Profile::iconName() will return "im-protocolName"
- Profile::cmName() will return cmName
- Profile::parameters() will return a list matching CM default parameters for protocol with name protocolName.
- Profile::presences() will return an empty list and Profile::allowOtherPresences() will return `true`, meaning that CM presences should be used
- Profile::unsupportedChannelClassSpecs() will return an empty list

Where cmName and protocolName are the name of the connection manager and the name of the protocol for which this fake Profile is created, respectively.